Skip to main content
PATCH
/
api
/
roles
/
{id}
Update a role
curl --request PATCH \
  --url https://clarus-api.com/api/roles/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "roles",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "permissions": [
        "<string>"
      ]
    }
  }
}
'
{
  "data": {
    "id": 123,
    "type": "roles",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "permissions": [
        "<string>"
      ]
    }
  }
}

Request Structure

{
  "data": {
    "type": "roles",
    "attributes": {
      "name": "Senior Warehouse Manager",
      "permissions": ["manage_stock", "manage_orders", "view_reports", "manage_users"]
    }
  }
}

Key Fields

FieldRequiredDescription
nameNoUpdated role name
descriptionNoUpdated description
permissionsNoUpdated permission list

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the role to update

Body

application/json
data
object
required

Response

Role updated successfully

data
object